%define name    libmatroska
%define version 0.8.1
%define ebmlver 0.7.6
%define libname %mklibname matroska 0
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

Summary:        Matroska Audio/Video file format library
Name:           %name
Version:        %version
Release: %mkrel 1
License:        GPL/QPL
Group:		System/Libraries
URL:            http://www.matroska.org/
Source0:        http://dl.matroska.org/downloads/libmatroska/%name-%version.tar.bz2
BuildRoot:      %_tmppath/%name-buildroot
BuildRequires:  libebml-devel >= %ebmlver

%description
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

%package -n %libname
Summary:        Matroska Audio/Video file format shared library
Group: System/Libraries

%description -n %libname
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

%package -n %libname-devel
Group: Development/C++
Summary: Matroska Audio/Video file format headers and static library
Requires: %libname = %version
Provides: libmatroska-devel = %version-%release
Obsoletes: libmatroska-devel

%description -n %libname-devel
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

This package contains the C++ headers and the static library needed
for development with Matroska.

%prep
%setup -q
chmod 644 LICENSE*

%build
cd make/linux
%make


%install
rm -rf %buildroot
cd make/linux
%makeinstall_std prefix=%buildroot/%_prefix libdir=%buildroot/%_libdir

%clean
rm -rf %buildroot

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc LICENSE*
%{_includedir}/matroska
%{_libdir}/lib*.a
%{_libdir}/lib*.so




%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.8.1-1mdv2008.1
+ Revision: 140925
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 09 2007 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdv2007.0
+ Revision: 118560
- new version

* Fri Nov 03 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-2mdv2007.1
+ Revision: 76197
- Import libmatroska

* Wed Oct 19 2005 Gtz Waschk <waschk@mandriva.org> 0.8.0-1mdk
- bump deps
- New release 0.8.0

* Thu Jun 09 2005 Gtz Waschk <waschk@mandriva.org> 0.7.7-2mdk
- mkrel

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 0.7.7-1mdk
- New release 0.7.7

* Tue Apr 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7.6-1mdk
- libify
- New release 0.7.6

* Mon Feb 07 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.7.5-1mdk
- New release 0.7.5

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.4-1mdk
- requires new libebml
- new version

* Tue Aug 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.7.3-1mdk
- New release 0.7.3

* Mon Jul 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.1-2mdk
- drop patch
- fix source URL
- new version

* Tue Jun 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-2mdk
- disable tests for now
- rebuild for new g++

* Sat Apr 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- requires new ebml
- new version

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-2mdk
- new ebml

